API Reference
Fetch a purchase
GET
/purchases/{id}Query Parameters
idstringThe ID or reference of the purchase.
Request
curl
curl https://gateway.pmnts-sandbox.io/v1.0/purchases/071-P-P7OX5AF6 -u TEST:TESTResponse
200Result
json
{
"successful": true,
"response": {
"authorization": "283293",
"id": "071-P-P7OX5AF6",
"card_number": "512345XXXXXX2346",
"card_holder": "Jim Smith",
"card_expiry": "2023-05-01",
"card_token": "fke86c5u",
"card_type": "MasterCard",
"card_category": "Credit",
"card_subcategory": "Standard",
"amount": 10000,
"decimal_amount": 100.0,
"successful": true,
"message": "Approved",
"reference": "c10de1d9590fca1d893380c6e039ae71",
"currency": "AUD",
"transaction_id": "071-P-18DBFFCO",
"settlement_date": "2017-06-21",
"transaction_date": "2017-06-21T15:02:46+10:00",
"response_code": "00",
"captured": true,
"captured_amount": 10000,
"rrn": "071P18DBFFCO",
"cvv_match": "M",
"metadata": {},
"addendum_data": {}
},
"errors": []
}404Result
json
{
"successful": false,
"response": {},
"errors": ["Could not find Purchase"]
}